Retrieve Project MCP Gateway Resource Server Details

get

/ic/api/integration/v1/projects/{projectId}/mcp/gateways/{id}/resource-server

Retrieves resource server details for an active MCP gateway in a project.

Request

Path Parameters
Query Parameters
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: object
Additional Properties Allowed: true

400 Response

Malformed parameters or invalid request

401 Response

Unauthorized or insufficient design-time permissions

404 Response

Project or resource not found, or the MCP feature is not available

412 Response

Precondition failed

500 Response

Server error
Back to Top

Examples

The following example shows how to retrieve resource server details for an active MCP gateway in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Retrieve Project MCP Gateway Resource Server Details

curl --request GET --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/gateways/${GATEWAY_ID}/resource-server?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json"
Back to Top